/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007

MODIFIED
  xma	    09/01/07 - Adopted from DesEditorOutputUiPart.h
*/

#pragma once

#include <QObject>
#include "ui_GedDesEditor.h"

class QGroupBox;
class QTreeWidget;

namespace DESpot
{

class GedDesEditorOutputUiPart : public QObject
{
	Q_OBJECT	

	public:
		GedDesEditorOutputUiPart(Ui::GedDesEditorUI* pUiContainer);
		virtual ~GedDesEditorOutputUiPart(void);

	public:
		void clear();
		void write(const QString& text);
		void writeLine(const QString& text);

	//Overridables__________________________________
	protected:
		virtual bool eventFilter(QObject* target, QEvent* event);

	//Implementation Methods________________________
	private:

	private:
		QGroupBox* m_pGedDesEditorOutputGBox;
		QTextEdit* m_pGedDesEditorOutputWidg;

};

} //end of namespace DESpot
